Imports System.Data
Imports AppCommon

Partial Class mobile_recruit_JobInfoSP
    Inherits System.Web.UI.Page

#Region "******************** ページイベント ********************"

    Private Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        '---------------------------------------------------------------
        'HTMLタグを追加
        '---------------------------------------------------------------
        Dim ctl As Control = Page.FindControl("page_header")
        'ファビコン
        SetTagFavicon(ctl)

        DataBind_lv_求人票()

        If GetGetRequest("Job") <> "1" Then
            btn戻る.Visible = True
        End If
    End Sub

#End Region

#Region "***************** コントロールイベント *****************"

    Protected Sub lv_求人票_ItemDataBound(sender As Object, e As ListViewItemEventArgs) Handles lv_求人票.ItemDataBound
        If e.Item.ItemType = ListViewItemType.DataItem Then
            'Webサイト
            Dim hlWebサイト As HyperLink
            Dim lblWebサイト As Label
            hlWebサイト = CType(e.Item.FindControl("link_Webサイト"), HyperLink)
            lblWebサイト = CType(e.Item.FindControl("lbl_Webサイト"), Label)
            If (hlWebサイト.NavigateUrl.IndexOf("http://") > -1 AndAlso Len(hlWebサイト.NavigateUrl) > 7) _
                    OrElse (hlWebサイト.NavigateUrl.IndexOf("https://") > -1 AndAlso Len(hlWebサイト.NavigateUrl) > 8) Then
                lblWebサイト.Visible = False
                hlWebサイト.Visible = True
            Else
                lblWebサイト.Visible = True
                hlWebサイト.Visible = False
            End If
        End If
    End Sub

#End Region

#Region "******************* Sub及びFunction ********************"

    Private Sub DataBind_lv_求人票()
        Using spm As New StoredProcedureManager("SP企業求人画面")
            spm.AddPrmIn("@企業CD", Data.SqlDbType.VarChar, 20, GetGetRequest("CD"))
            spm.AddPrmIn("@拠点CD", Data.SqlDbType.VarChar, 20, GetGetRequest("CD2"))
            spm.AddPrmIn("@求人年度", Data.SqlDbType.SmallInt, GetGetRequest("Year"))
            spm.AddPrmIn("@枝NO", Data.SqlDbType.Int, GetGetRequest("No"))
            spm.Fill()

            With lv_求人票
                .DataSource = spm.ds.Tables(0)
                .DataBind()
            End With
        End Using
    End Sub

    Private Function GetGetRequest(ByVal key As String) As String
        GetGetRequest = ""
        If Page.Request.QueryString.Get(key) <> "" Then
            GetGetRequest = Page.Request.QueryString.Get(key)
        End If
    End Function

#End Region

End Class
